package com.casic.br.model;

import java.util.List;

public class PushMessageModel {

    private int code;
    private DataModel data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataModel getData() {
        return data;
    }

    public void setData(DataModel data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataModel {
        private List<RowsModel> rows;
        private int total;

        public List<RowsModel> getRows() {
            return rows;
        }

        public void setRows(List<RowsModel> rows) {
            this.rows = rows;
        }

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public static class RowsModel {
            private String createTime;
            private String id;
            private String ids;
            private String messageCode;
            private String messageContent;
            private String messageStatus;
            private String messageTitle;
            private String provinceList;
            private String targetUsers;
            private String updateTime;
            private String userFlag;

            public String getCreateTime() {
                return createTime;
            }

            public void setCreateTime(String createTime) {
                this.createTime = createTime;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getIds() {
                return ids;
            }

            public void setIds(String ids) {
                this.ids = ids;
            }

            public String getMessageCode() {
                return messageCode;
            }

            public void setMessageCode(String messageCode) {
                this.messageCode = messageCode;
            }

            public String getMessageContent() {
                return messageContent;
            }

            public void setMessageContent(String messageContent) {
                this.messageContent = messageContent;
            }

            public String getMessageStatus() {
                return messageStatus;
            }

            public void setMessageStatus(String messageStatus) {
                this.messageStatus = messageStatus;
            }

            public String getMessageTitle() {
                return messageTitle;
            }

            public void setMessageTitle(String messageTitle) {
                this.messageTitle = messageTitle;
            }

            public String getProvinceList() {
                return provinceList;
            }

            public void setProvinceList(String provinceList) {
                this.provinceList = provinceList;
            }

            public String getTargetUsers() {
                return targetUsers;
            }

            public void setTargetUsers(String targetUsers) {
                this.targetUsers = targetUsers;
            }

            public String getUpdateTime() {
                return updateTime;
            }

            public void setUpdateTime(String updateTime) {
                this.updateTime = updateTime;
            }

            public String getUserFlag() {
                return userFlag;
            }

            public void setUserFlag(String userFlag) {
                this.userFlag = userFlag;
            }
        }
    }
}
